Bug 238762 - Support "auto" for "Import cache size" in the LDBM Plug-in Settings
Support "auto" for "Import cache size" in the LDBM Plug-in Settings
Product: 389
Classification: Community
Component: UI - Configuration (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rich Megginson
Chandrasekar Kannan
Depends On:
Blocks: 152373 234969 249650 FDS1.2.0
  Show dependency treegraph
Reported: 2007-05-02 16:22 EDT by Noriko Hosoi
Modified: 2015-01-04 18:26 EST (History)
4 users (show)

See Also:
Fixed In Version: 8.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-04-29 19:00:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
auto cache on window (61.46 KB, image/jpeg)
2008-12-11 22:00 EST, Rich Megginson
no flags Details
auto cache off window (62.30 KB, image/jpeg)
2008-12-11 22:00 EST, Rich Megginson
no flags Details
diffs (7.46 KB, patch)
2008-12-11 22:07 EST, Rich Megginson
no flags Details | Diff
cvs commit log (506 bytes, text/plain)
2008-12-12 13:36 EST, Rich Megginson
no flags Details

  None (edit)
Description Noriko Hosoi 2007-05-02 16:22:54 EDT
Description of problem:
Directory Console | Configuration | Database Settings | LDBM Plug-in Settings
Import cache size shows 20000000 bytes by default and no item for the Import
cache autosize.  On the other hand, the database configuration sets 
  nsslapd-import-cache-autosize: -1
by default, which means the import cache autosizing is enabled and it sets 50%
of free physical memory.  The real server configuration is not reflected to the
Console UI.  Also, even if a customer changes the value on Console, it does not
change the import cache size since autosizing is enabled and has a higher priority.

Proposal: if import-cache-autosize is on (-1 or some positive value), the
Console Import cache size displays "auto".  If the value is changed by a user,
the value is assigned to nsslapd-import-cachesize and
nsslapd-import-cache-autosize is disabled (by setting 0).

If this is easy, if "auto" is the value of Import cache size, it'd be nice to
have another ratio box to store the percentage of autosizing.  But I don't think
it's that necessary. We experienced that setting higher number (> 60%), cache
autosizing tests often failed due to the lack of memory.  So, we don't want
customers to set high number.  Instead, we'd like them to stay with 50% (-1). 
That's said, hiding the ratio might be preferable.

I've added "By default, ..." sentence to the Admin Guide, Tuning Directory
Server Performance chapter as follows.
> In the Import Cache Size field, enter a value corresponding to the amount of
memory in bytes that you want to make available for import.  By default, the
value is “auto” and 50% of the free memory is allocated for the import cache. 
If you are creating a very large database from LDIF, set this attribute as large
as possible, depending on the memory available on your machine. The larger this
parameter, the faster your database will be created.
Comment 2 Deon Ballard 2008-02-15 16:43:44 EST
Changing dependencies; these guides were never targets for 8.0 and shouldn't be
blocking the 8.0 tracker.
Comment 3 Rich Megginson 2008-12-11 22:00:06 EST
Created attachment 326699 [details]
auto cache on window
Comment 4 Rich Megginson 2008-12-11 22:00:32 EST
Created attachment 326700 [details]
auto cache off window
Comment 5 Rich Megginson 2008-12-11 22:07:28 EST
Created attachment 326701 [details]
Comment 6 Rich Megginson 2008-12-12 13:36:01 EST
Created attachment 326755 [details]
cvs commit log

Reviewed by: nhosoi (Thanks!)
Fix Description: Added a check box for "use auto cache size".  If this is checked, a value of -1 will be saved for nsslapd-import-cache-autosize which will tell the server to use the default auto cache value.  If this is not checked, a value of 0 will be saved which will tell the server to use the number from nsslapd-import-cachesize.  If the check box is checked, the import cachesize field will be disabled.  Here are a couple of screen shots.
Platforms tested: RHEL5
Flag Day: no
Doc impact: yes - will have to document the new UI
Comment 7 Jenny Galipeau 2009-03-30 15:56:24 EDT
verified DS 8.1 RHEL 5

When checked:
nsslapd-import-cache-autosize: -1

When unchecked:
nsslapd-import-cache-autosize: 0
Comment 8 Chandrasekar Kannan 2009-04-29 19:00:12 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.